forked from pool/lxsession
Accepting request 77405 from X11:lxde
new upstream bugfix version 0.4.6.1 OBS-URL: https://build.opensuse.org/request/show/77405 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/lxsession?expand=0&rev=20
This commit is contained in:
commit
5c675bdbfb
@ -1,126 +0,0 @@
|
||||
diff --git a/Makefile.am b/Makefile.am
|
||||
index 6e86875..5e53b41 100644
|
||||
--- a/Makefile.am
|
||||
+++ b/Makefile.am
|
||||
@@ -11,7 +11,11 @@ image_DATA= \
|
||||
images/gnome-session-suspend.png \
|
||||
images/gnome-session-switch.png
|
||||
|
||||
+scripts= lxlock
|
||||
+bin_SCRIPTS= $(scripts)
|
||||
+
|
||||
EXTRA_DIST = \
|
||||
desktop.conf.example \
|
||||
- $(image_DATA)
|
||||
+ $(scripts) \
|
||||
+ $(image_DATA) \
|
||||
$(NULL)
|
||||
diff --git a/lxlock b/lxlock
|
||||
new file mode 100644
|
||||
index 0000000..447aa9a
|
||||
--- /dev/null
|
||||
+++ b/lxlock
|
||||
@@ -0,0 +1,40 @@
|
||||
+#!/bin/sh
|
||||
+#
|
||||
+# lxlock - try to lock the screen
|
||||
+#
|
||||
+# Copyright (c) 2010 Guido Berhoerster <gber@opensuse.org>
|
||||
+#
|
||||
+# Permission to use, copy, modify, and distribute this software for any
|
||||
+# purpose with or without fee is hereby granted, provided that the above
|
||||
+# copyright notice and this permission notice appear in all copies.
|
||||
+#
|
||||
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
|
||||
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
|
||||
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
|
||||
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
|
||||
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
|
||||
+# TORTIOUS ACTION, ARISING OUT OF
|
||||
+# PERFORMANCE OF THIS SOFTWARE.
|
||||
+
|
||||
+PATH=/bin:/usr/bin
|
||||
+export PATH
|
||||
+
|
||||
+for lock_cmd in \
|
||||
+ "xscreensaver-command -lock" \
|
||||
+ "gnome-screensaver-command --lock"
|
||||
+do
|
||||
+ $lock_cmd >/dev/null 2>&1 && exit
|
||||
+done
|
||||
+
|
||||
+for lock_cmd in \
|
||||
+ "slock" \
|
||||
+ "xlock -mode blank"
|
||||
+do
|
||||
+ set -- $lock_cmd
|
||||
+ if command -v -- $1 >/dev/null 2>&1; then
|
||||
+ $lock_cmd >/dev/null 2>&1 &
|
||||
+ exit
|
||||
+ fi
|
||||
+done
|
||||
+
|
||||
+exit 1
|
||||
diff --git a/lxsession-logout/lxsession-logout.c b/lxsession-logout/lxsession-logout.c
|
||||
index 435216c..6c6f89c 100644
|
||||
--- a/lxsession-logout/lxsession-logout.c
|
||||
+++ b/lxsession-logout/lxsession-logout.c
|
||||
@@ -25,6 +25,7 @@
|
||||
#include <glib/gi18n.h>
|
||||
#include <sys/types.h>
|
||||
#include <sys/stat.h>
|
||||
+#include <sys/wait.h>
|
||||
#include <fcntl.h>
|
||||
#include <limits.h>
|
||||
#include <signal.h>
|
||||
@@ -73,6 +74,7 @@ typedef struct {
|
||||
int ltsp : 1; /* Shutdown and reboot is accomplished via LTSP */
|
||||
} HandlerContext;
|
||||
|
||||
+static gboolean lock_screen(void);
|
||||
static gboolean verify_running(char * display_manager, char * executable);
|
||||
static void logout_clicked(GtkButton * button, HandlerContext * handler_context);
|
||||
static void change_root_property(GtkWidget* w, const char* prop_name, const char* value);
|
||||
@@ -85,6 +87,18 @@ static void cancel_clicked(GtkButton * button, gpointer user_data);
|
||||
static GtkPositionType get_banner_position(void);
|
||||
static GdkPixbuf * get_background_pixbuf(void);
|
||||
|
||||
+/* Try to run lxlock command in order to lock the screen, return TRUE on
|
||||
+ * success, FALSE if command execution failed
|
||||
+ */
|
||||
+static gboolean lock_screen(void)
|
||||
+{
|
||||
+ if (!g_spawn_command_line_async("lxlock", NULL))
|
||||
+ {
|
||||
+ return TRUE;
|
||||
+ }
|
||||
+ return FALSE;
|
||||
+}
|
||||
+
|
||||
/* Verify that a program is running and that an executable is available. */
|
||||
static gboolean verify_running(char * display_manager, char * executable)
|
||||
{
|
||||
@@ -205,6 +219,7 @@ static void suspend_clicked(GtkButton * button, HandlerContext * handler_context
|
||||
char * error_result = NULL;
|
||||
gtk_label_set_text(GTK_LABEL(handler_context->error_label), NULL);
|
||||
|
||||
+ lock_screen();
|
||||
if (handler_context->suspend_UPower)
|
||||
error_result = dbus_UPower_Suspend();
|
||||
else if (handler_context->suspend_HAL)
|
||||
@@ -221,6 +236,7 @@ static void hibernate_clicked(GtkButton * button, HandlerContext * handler_conte
|
||||
char * error_result = NULL;
|
||||
gtk_label_set_text(GTK_LABEL(handler_context->error_label), NULL);
|
||||
|
||||
+ lock_screen();
|
||||
if (handler_context->hibernate_UPower)
|
||||
error_result = dbus_UPower_Hibernate();
|
||||
else if (handler_context->hibernate_HAL)
|
||||
@@ -236,6 +252,7 @@ static void switch_user_clicked(GtkButton * button, HandlerContext * handler_con
|
||||
{
|
||||
gtk_label_set_text(GTK_LABEL(handler_context->error_label), NULL);
|
||||
|
||||
+ lock_screen();
|
||||
if (handler_context->switch_user_GDM)
|
||||
g_spawn_command_line_sync("gdmflexiserver --startnew", NULL, NULL, NULL, NULL);
|
||||
else if (handler_context->switch_user_KDM)
|
@ -1,3 +0,0 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:afcabd5da0e7341e9cb61b501f2f487fafc5fb1ce76bb4f907955dbb32b42883
|
||||
size 209431
|
3
lxsession-0.4.6.1.tar.bz2
Normal file
3
lxsession-0.4.6.1.tar.bz2
Normal file
@ -0,0 +1,3 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:83be724bb3ae078caf138afbcb870361b9d643737f6b9e9dad10f36a000c54db
|
||||
size 310754
|
@ -1,3 +1,20 @@
|
||||
-------------------------------------------------------------------
|
||||
Fri Jul 29 09:06:25 UTC 2011 - andrea@opensuse.org
|
||||
|
||||
- upstream bugfix release 0.4.6.1
|
||||
- removed %name-0.4.6-fix-crash-on-start.patch now in
|
||||
upstream code
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Sun Jul 24 12:05:44 UTC 2011 - andrea@opensuse.org
|
||||
|
||||
- new upstream version 0.4.6
|
||||
* translations updates
|
||||
* bug fix
|
||||
* gtk3 support
|
||||
- added lxsession-0.4.6-fix-crash-on-start.patch
|
||||
- removed lockscreen patch now in upstream code
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Mon May 30 17:31:26 UTC 2011 - andrea@opensuse.org
|
||||
|
||||
|
@ -19,16 +19,13 @@
|
||||
|
||||
|
||||
Name: lxsession
|
||||
Version: 0.4.5
|
||||
Version: 0.4.6.1
|
||||
Release: 14
|
||||
Summary: LXDE Session Manager, required for running the desktop environment
|
||||
Group: System/GUI/LXDE
|
||||
License: GPL
|
||||
License: GPLv2
|
||||
Url: http://www.lxde.org/
|
||||
Source0: %{name}-%{version}.tar.bz2
|
||||
# PATCH-FIX-UPSTREAM lxsession-0.4.5-lock-screen-bnc622083.patch bnc#622083 guido+opensuse.org@berhoerster.name
|
||||
# lxsession-logout should lock the screen before suspending/hibernating/switching users
|
||||
Patch0: %name-0.4.5-lock-screen-bnc622083.patch
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
||||
BuildRequires: dbus-1-glib-devel fdupes gtk2-devel intltool pkg-config
|
||||
BuildRequires: docbook-utils docbook-xsl-stylesheets libxslt
|
||||
@ -45,16 +42,13 @@ Authors:
|
||||
|
||||
%prep
|
||||
%setup -q -n %name-%version
|
||||
%patch0 -p1
|
||||
|
||||
%build
|
||||
autoreconf -fi
|
||||
%configure --enable-man
|
||||
%__make %{?jobs:-j%jobs}
|
||||
%__make %{?jobs:-j%jobs} V=1
|
||||
|
||||
%install
|
||||
%makeinstall
|
||||
%__rm -rf %buildroot/%_datadir/locale/{frp,es_VE,ur_PK}
|
||||
%find_lang %{name}
|
||||
%fdupes -s %buildroot
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user